Package org.gitana.platform.client.registrar

# Interface Registrar

All Superinterfaces:
  `AccessControllable`, `ClusterDataStore`, `Copyable`, `DataStore`, `Document`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `PlatformDataStore`, `Referenceable`, `Selfable`, `Serializable`, `Teamable`, `TitleDescription`, `Transferable`, `TypedID`

All Known Implementing Classes:
  `RegistrarImpl`

public interface Registrar extends PlatformDataStore

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_BILLING_PROVIDER_CONFIGURATION_ID`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`Meter`
`createMeter(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Plan`
`createPlan(String planKey)`
`Plan`
`createPlan(String planKey, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Tenant`
`createTenant(DomainPrincipal principal, String planKey)`
`Tenant`
`createTenant(DomainPrincipal principal, String planKey, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Tenant`
`createTenant(DomainPrincipal principal, String planKey, com.fasterxml.jackson.databind.node.ObjectNode object, com.fasterxml.jackson.databind.node.ObjectNode paymentMethodObject)`
`void`
`deleteMeter(String meterId)`
`void`
`deleteMeter(Meter meter)`
`void`
`deletePlan(String planKey)`
`void`
`deletePlan(Plan plan)`
`void`
`deleteTenant(String tenantId)`
`void`
`deleteTenant(Tenant tenant)`
`String`
`getBillingProviderConfigurationId()`
`org.gitana.platform.support.ResultMap<Meter>`
`listMeters()`
`org.gitana.platform.support.ResultMap<Meter>`
`listMeters(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Plan>`
`listPlans()`
`org.gitana.platform.support.ResultMap<Plan>`
`listPlans(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Tenant>`
`listTenants()`
`org.gitana.platform.support.ResultMap<Tenant>`
`listTenants(org.gitana.platform.support.Pagination pagination)`
`Tenant`
`lookupTenant(DomainPrincipal principal)`
`org.gitana.platform.support.ResultMap<Meter>`
`queryMeters(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Meter>`
`queryMeters(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Plan>`
`queryPlans(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Plan>`
`queryPlans(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Tenant>`
`queryTenants(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Tenant>`
`queryTenants(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`Meter`
`readMeter(String meterId)`
`Plan`
`readPlan(String planKey)`
`Tenant`
`readTenant(String tenantId)`
`void`
`setBillingProviderConfigurationId(String billingProviderConfigurationId)`
`String`
`startCreateTenant(DomainPrincipal principal, String planKey, com.fasterxml.jackson.databind.node.ObjectNode object)`
Starts an job to create a tenant.
`void`
`updateMeter(Meter meter)`
`void`
`updatePlan(Plan plan)`
`void`
`updateTenant(Tenant tenant)`
`org.gitana.platform.services.billing.PaymentMethodValidation`
`validateCreditCard(com.fasterxml.jackson.databind.node.ObjectNode object)`
`org.gitana.platform.services.billing.PaymentMethodValidation`
`validateCreditCard(String holderName, String number, int expirationMonth, int expirationYear)`

### Methods inherited from interface org.gitana.platform.client.support.AccessControllable

`getACL, getACL, getAuthorityGrants, grant, grant, hasAuthority, hasAuthority, hasPermission, hasPermission, revoke, revoke, revokeAll, revokeAll`

### Methods inherited from interface org.gitana.platform.client.cluster.ClusterDataStore

`getCluster`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDataStore

`getPlatform`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.team.Teamable

`createTeam, createTeam, deleteTeam, getOwnersTeam, getTeamableBaseUri, listTeams, readTeam`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Field Details

### FIELD_BILLING_PROVIDER_CONFIGURATION_ID

static final String FIELD_BILLING_PROVIDER_CONFIGURATION_ID

See Also:
  - Constant Field Values

## Method Details

### setBillingProviderConfigurationId

void setBillingProviderConfigurationId(String billingProviderConfigurationId)

### getBillingProviderConfigurationId

String getBillingProviderConfigurationId()

### listTenants

org.gitana.platform.support.ResultMap<Tenant> listTenants()

### listTenants

org.gitana.platform.support.ResultMap<Tenant> listTenants(org.gitana.platform.support.Pagination pagination)

### queryTenants

org.gitana.platform.support.ResultMap<Tenant> queryTenants(com.fasterxml.jackson.databind.node.ObjectNode query)

### queryTenants

org.gitana.platform.support.ResultMap<Tenant> queryTenants(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

### readTenant

Tenant readTenant(String tenantId)

### lookupTenant

Tenant lookupTenant(DomainPrincipal principal)

### createTenant

Tenant createTenant(DomainPrincipal principal, String planKey)

### createTenant

Tenant createTenant(DomainPrincipal principal, String planKey, com.fasterxml.jackson.databind.node.ObjectNode object)

### createTenant

Tenant createTenant(DomainPrincipal principal, String planKey, com.fasterxml.jackson.databind.node.ObjectNode object, com.fasterxml.jackson.databind.node.ObjectNode paymentMethodObject)

### updateTenant

void updateTenant(Tenant tenant)

### deleteTenant

void deleteTenant(Tenant tenant)

### deleteTenant

void deleteTenant(String tenantId)

### startCreateTenant

String startCreateTenant(DomainPrincipal principal, String planKey, com.fasterxml.jackson.databind.node.ObjectNode object)
Starts an job to create a tenant. This only works for Cloud CMS 4.0 and beyond.

Parameters:
  `principal` -
  `planKey` -
  `object` -
Returns:

### listPlans

org.gitana.platform.support.ResultMap<Plan> listPlans()

### listPlans

org.gitana.platform.support.ResultMap<Plan> listPlans(org.gitana.platform.support.Pagination pagination)

### queryPlans

org.gitana.platform.support.ResultMap<Plan> queryPlans(com.fasterxml.jackson.databind.node.ObjectNode query)

### queryPlans

org.gitana.platform.support.ResultMap<Plan> queryPlans(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

### readPlan

Plan readPlan(String planKey)

### createPlan

Plan createPlan(String planKey)

### createPlan

Plan createPlan(String planKey, com.fasterxml.jackson.databind.node.ObjectNode object)

### updatePlan

void updatePlan(Plan plan)

### deletePlan

void deletePlan(Plan plan)

### deletePlan

void deletePlan(String planKey)

### listMeters

org.gitana.platform.support.ResultMap<Meter> listMeters()

### listMeters

org.gitana.platform.support.ResultMap<Meter> listMeters(org.gitana.platform.support.Pagination pagination)

### queryMeters

org.gitana.platform.support.ResultMap<Meter> queryMeters(com.fasterxml.jackson.databind.node.ObjectNode query)

### queryMeters

org.gitana.platform.support.ResultMap<Meter> queryMeters(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

### readMeter

Meter readMeter(String meterId)

### createMeter

Meter createMeter(com.fasterxml.jackson.databind.node.ObjectNode object)

### updateMeter

void updateMeter(Meter meter)

### deleteMeter

void deleteMeter(Meter meter)

### deleteMeter

void deleteMeter(String meterId)

### validateCreditCard

org.gitana.platform.services.billing.PaymentMethodValidation validateCreditCard(String holderName, String number, int expirationMonth, int expirationYear)

### validateCreditCard

org.gitana.platform.services.billing.PaymentMethodValidation validateCreditCard(com.fasterxml.jackson.databind.node.ObjectNode object)